Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox updates seek to disable AVG, but we prefer and want to keep it.

  • 1 reply
  • 1 has this problem
  • 51 views
  • آخر ردّ كتبه cor-el

more options

We are way behind in updating Firefox. When we first tried to do so, long ago, the upgrade said AVG protection was incompatible and it would be disabled. We like AVG; McAffee we found intrusive and took up a lot of space. Therefore we have not made great efforts to update Firefox from a version that works with AVG. It's fine for us as it is. The experience of many users with limited expertise is that 'improvements' often aren't.

All Replies (1)

more options

Please update to the current Firefox 26 release.

  • Help > About Firefox

The quite old Firefox 4 version that you currently run is no longer supported with security updates.

  • It is important to update Firefox and add-ons to the latest version to get all security fixes.

This message is only about extensions that AVG add to Firefox and not for the AVG program itself.
AVG will still do its work in the background.

Did you check for updates of AVG that are compatible with Firefox versions?